Skip to main content
`Ctrl`+`K`

# PCFailedReason

indicates type of `PC` failure

## Synopsis

    typedef enum {
      PC_SETUP_ERROR = -1,
      PC_NOERROR,
      PC_FACTOR_STRUCT_ZEROPIVOT,
      PC_FACTOR_NUMERIC_ZEROPIVOT,
      PC_FACTOR_OUTMEMORY,
      PC_FACTOR_OTHER,
      PC_INCONSISTENT_RHS,
      PC_SUBPC_ERROR
    } PCFailedReason;

## See Also

Preconditioners, `PC`

## Level

beginner

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages